@import "variables";
@import "mixin";

.table {
  background-color: transparent;
  border: none;
  margin-bottom: 0;
  .ag-blue {
    font-family: "Open Sans";
    .ag-header-icon {
      fill: $color-gray-lightest;
    }
    .ag-cell-not-inline-editing {
      padding: 4px;
    }


  }

  thead{
    th{
      border: 1px solid #fff;
    }
  }

  #centerRow {
    height: auto !important;

  }

  &.table-bordered{
    thead{
      background: #dedede;
      text-align: center;
    }
  }

  tbody {
    tr{
      td{
        vertical-align: middle;
        border: 1px solid #ccc;
      }
    }
  }


  .ag-root {
    border: none !important;
    user-select: text;
    .ag-header {
      background-color: transparent;
      border-color: transparent;
      height: 30px !important;
      z-index: 2;
      .ag-header-row {
        height: 100% !important;
        .ag-header-cell {
          border-color: lighten($color-gray-lightest, 35%);
          background-color: $color-light;
          border-left:1px solid lighten($color-gray-lightest, 35%);
          border-right: none;
          .ag-header-cell-label {
            color: $color-gray-lightest;
            @include font-medium;
            font-weight: 600;
            text-align: left;
            padding: 5px;
            padding-right: 15px;
            vertical-align: middle;
            border-bottom: 1px solid lighten($color-gray-lightest, 35%);
            border-top: 1px solid lighten($color-gray-lightest, 35%);
            font-family: "Open Sans";
          }
          .ag-header-cell-resize {
            position: absolute;
            right: 0;
          }
          .ag-header-cell-menu-button {
            display: none;
            border-color: lighten($color-gray-lightest, 20%) !important;
            background-color: lighten($color-gray-lightest, 25%) !important;
            margin-top: 5px;
            cursor: pointer;
          }
          &.column_fixed {
            background-color: lighten($color-gray-lightest, 40%) !important;
          }
        }
      }
    }
    .ag-sort-ascending-icon,.ag-sort-descending-icon,.ag-sort-none-icon{
      position: absolute;
      right: 5px;
      width: 15px;
      height: 19px;
      top: 4px;
      background-repeat: no-repeat;
      background-position: center right;
      cursor: pointer;
      svg{
        display: none;
      }
    }
    .ag-sort-none-icon {
      background: url('/assets/images/sort_both.png');
    }
    .ag-sort-ascending-icon {
      background: url('/assets/images/sort_asc.png');
    }

    .ag-sort-descending-icon {
      background: url('/assets/images/sort_desc.png');
    }
    // disabled default icons
    .ag-icon-asc, .ag-icon-desc, .ag-icon-none {
      background: none;
    }
    .ag-body {
      // margin-top: 30px !important;
      top: 0 !important;
      background-color: #ebebeb;
      .ag-body-viewport {

        .ag-row-even, .ag-row-odd {
          // border-left: 1px solid lighten($color-gray-lightest, 35%);
          .ag-cell-focus {
            border: 1px solid $color-active;
          }
          .ag-cell-no-focus {
            border-right-color: lighten($color-gray-lightest, 35%);
            border-bottom-color: lighten($color-gray-lightest, 35%);
            border-left: 0 !important;
            line-height: 11px;
            border:none;
            @include font-medium;
            padding: 5px !important;
            color: $color-gray-lightest;
            a {
              color: darken($color-active, 10%);
              i {
                color: $color-active;
              }
              &.note-icon {
                cursor: pointer;
                display: block;
                height: 100%;
              }
            }
          }
          &:hover {
            background-color: lighten($color-active, 50%);

          }
        }
        .ag-row-odd {
          background-color: $color-light;
        }
        .ag-row-even {
          background-color: lighten($color-gray-lightest, 49%);
        }
      }
    }
  }
}

.ag-overlay-no-rows-wrapper {
  position: relative;
  top: 15px;
}

.ag-selection-checkbox {
  margin: 0 !important;
}

ag-grid-ng2-extent .ag-root .ag-header .ag-header-row .ag-header-cell:not(.no-sort) {
  background: url('/assets/images/sort_both.png');
  background-color: $color-light;
  background-repeat: no-repeat;
  background-position: center right;
  cursor: pointer;
  &.none {
    background: url('/assets/images/sort_both.png');
    background-repeat: no-repeat;
    background-position: center right;
  }
  &.asc {
    background: url('/assets/images/sort_asc.png');
    background-repeat: no-repeat;
    background-position: center right;
  }
  &.desc {
    background: url('/assets/images/sort_desc.png');
    background-repeat: no-repeat;
    background-position: center right;
  }
}

.table-style-01 {
  border: 1px solid #ccc;
  tbody tr td {
    vertical-align: middle;
    border: none;
    input[type='text'] {
      margin-bottom: 0;
    }

  }
}
.table-none-border {
  thead> tr> th{
    border:none !important;
  }
  tbody tr td {
    vertical-align: middle;
    border: none !important;
    input[type='text'] {
      margin-bottom: 0;
    }

  }
}

.td-checkbox {
  padding-top: 20px;
  display: block;
  label {
    margin-bottom: 0;
  }
  input[type='checkbox'] {
    vertical-align: middle;
    margin: 0;
  }
}

.button-add {

  &:hover {
    color: #36c6d3;
    cursor: pointer;
  }
}
#overlay {
  position: relative !important;
  .ag-overlay-wrapper{
    background-color: transparent;
    text-align: left;
    vertical-align: bottom;
  .ag-overlay-loading-center,.ag-overlay-no-rows-center {
    background-color: transparent !important;
    padding: 0;
    border: none;
    color: $color-gray;
  }
  }
}
.form-style .table .form-group .form-control-feedback
{
  top: 6px;
}


.waiting
{
  position: absolute;
  right: 10px;
  top: 2px;
}

/*
Make table like ag grid style
*/
.table-style2{

  background-color:#eaeaea !important; ;

  table  tbody {

    &.tb-row{

      &:nth-child(odd) > tr:first-child {background: #f7f7f7}
      &:nth-child(even) > tr:first-child {background: #FFF}

      &.expand{
        > tr + tr{
          background-color: inherit !important;
        }
      }

      &:hover > tr {
        background-color: #e0e0e0 !important;
      }

    }



    // sub table
    table{
      width: 100%;
      box-shadow: 4px 10px 18px 0px rgba(105, 103, 103, 1);
      margin: 20px 0;
    }

    + tbody {
      border-top:none !important;
    }

    > tr  {

      &:nth-child(odd) {background: #f7f7f7}
      &:nth-child(even) {background: #FFF}

      &:hover {
        background-color: #e0e0e0 !important;
      }

      td{
        font-size: 1em;
        border: 1px solid #e8e5e5;
      }

    }


  }

  thead{

    text-transform: uppercase;
    background-color: $color-notice-lighter !important;

    th{
      border: none !important;
      font-size: 0.933em;
      font-weight: normal;
      border-right: 1px solid #e8e5e5 !important;
    }
  }






}



.table-expand{

  tbody{

    &.expand{
      background-color: #eaeaea !important;
    }

    tr{
      &.expand{
        background-color: #c9e3ea !important;
      }
    }

    tbody{
      background-color: #fff !important;
    }

  }

}

.selected-row{
  background-color: #b5b5b5 !important;
}

table{
  thead{
    th{
      white-space: nowrap;
    }
  }
  tbody{
    td{
      max-width: 230px;
    }
  }
}
.div-action-col{
  white-space: nowrap;
  width: 130px;
  text-align: right;
  border-right: 1px solid #c7c7c7;
}

.table-style-wrapped{

  overflow: auto;

    .wrap-table{

      width: 1800px;

      table tbody > tr td{
        white-space: normal;
        vertical-align: top;
        border: 1px solid #d0cece !important;
        max-width: inherit;
      }
    }
}
